RPM Support - Issue #9208

Published .treeinfo metadata not matching expectations (remaining issues)
08/04/2021 06:48 AM - dalley

Status: NEW Start date:

Priority: Low Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags:

0OS: Sprint: Sprint 108
Triaged: Yes Quarter: Q4-2021
Description

1. "packages" field on variants may not match with reality in the mirror case. You can see that the "repository" and "packages
fields for the "variant-External" variant which previously had both the repository and packages listed as "../rpm-signed/" now
maps to "External" and "External/Packages", respectively. But in the event of mirror sync, this is incorrect.

Likewise, the Land variant is wrong - but this may be a fixture issue. There is no such "Packages" directory.
https://ffixtures.pulpproject.org/rpm-distribution-tree/variants/land/

('change', 'variant-Land.packages', ('Packages', 'Land/Packages')),
('change', 'variant-Land.repository', ('variants/land', 'Land')),
('change',

'variant-External.packages',

('../rpm-signed/', 'External/Packages')),
('change', 'variant-External.repository', ('../rpm-signed/', 'External'))]

1. The order of the "variants" is different from the original - since productmd sometimes places significance on the first variant in
the list, this could possibly have an impact in some cases.

[ ('change', 'general.variants', ('Land, Sea,External', 'External,Land,Sea')),
('change', 'tree.variants', ('Land,Sea,External', 'External,Land,Sea')),

test_publish.py::DistributionTreeMetadataTestCase needs to be updated for both of these

Related issues:
Related to RPM Support - Issue #8622: CentOS 8 BaseOS .treeinfo's [general] s... CLOSED - CURRENTRELEASE

History

#1 - 08/04/2021 07:04 AM - dalley

- Description updated

#2 - 08/04/2021 05:27 PM - dalley
- Project changed from Pulp to RPM Support

#3 - 08/04/2021 07:34 PM - dalley
- Related to Issue #8622: CentOS 8 BaseOS .treeinfo's [general] section says AppStream instead of BaseOS added

#4 - 08/04/2021 09:21 PM - dalley

The "packages" issue may extend to the database, it looks like we're saving the rewritten, nonexistent paths in postgresql.

I think that doesn't necessarily impact the metadata generation though.

#5 - 08/05/2021 05:34 PM - dalley
https://fixtures.pulpproject.org/rpm-distribution-tree/variants/land/

- Triaged changed from No to Yes
- Quarter set to Q3-2021

#6 - 08/12/2021 05:23 PM - rchan
- Sprint changed from Sprint 102 to Sprint 103

#7 - 08/27/2021 05:08 PM - rchan
- Sprint changed from Sprint 103 to Sprint 104

#8 - 09/02/2021 03:38 AM - dalley
- Priority changed from Normal to High

#9 - 09/02/2021 05:33 PM - dalley
- Priority changed from High to Normal

#10 - 09/02/2021 05:34 PM - dalley
- Quarter changed from Q3-2021 to Q4-2021

#11 - 09/02/2021 05:36 PM - dalley

- Priority changed from Normal to Low

#12 - 09/10/2021 12:28 AM - rchan
- Sprint changed from Sprint 104 to Sprint 105

#13 - 09/15/2021 03:31 AM - dalley
- Status changed from NEW to ASSIGNED

- Assignee set to dalley

#14 - 09/23/2021 11:54 PM - rchan
- Sprint changed from Sprint 105 to Sprint 106

#15 - 10/06/2021 07:09 AM - dalley
- Status changed from ASSIGNED to NEW
- Assignee deleted (dalley)

#16 - 10/08/2021 03:16 PM - rchan
- Sprint changed from Sprint 106 to Sprint 107

#17 - 10/21/2021 06:35 PM - rchan
- Sprint changed from Sprint 107 to Sprint 108
